summaryrefslogtreecommitdiffstats
path: root/make-poms.sh
diff options
context:
space:
mode:
authormark <[email protected]>2012-06-27 10:21:18 +0000
committerSven Gothel <[email protected]>2012-11-06 21:16:28 +0100
commitb43c00e03abe8cda1000192f8acf5078cffd34a6 (patch)
treec21dc47b9937930c0526839c16bebe3f405e5d2e /make-poms.sh
parent7f2e7634a4add378f51eb63e048cfa3fc3a6dc05 (diff)
Initial
Diffstat (limited to 'make-poms.sh')
-rwxr-xr-xmake-poms.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/make-poms.sh b/make-poms.sh
new file mode 100755
index 0000000..25b29cd
--- /dev/null
+++ b/make-poms.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+if [ $# -ne 1 ]
+then
+ echo "make-poms: usage: version" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+
+PROJECTS=`cat make-projects.txt | awk -F: '{print $1}'` || exit 1
+
+for PROJECT in ${PROJECTS}
+do
+ echo "make-poms: info: generating pom for ${PROJECT}" 1>&2
+ "./${PROJECT}.pom.sh" "${VERSION}" > "${PROJECT}.pom.tmp" || exit 1
+ mv "${PROJECT}.pom.tmp" "${PROJECT}.pom" || exit 1
+done
+